/*body {
  min-height: 100vh;
  min-height: -webkit-fill-available;
}

html {
  height: -webkit-fill-available;
}*/


body {
  overflow: hidden;
}



.dropdown-toggle { outline: 0; }



.btn-toggle {
  display: inline-flex;
  align-items: center;
  padding: .25rem .5rem;
  font-weight: 600;
  color: rgba(0, 0, 0, .65);
  background-color: transparent;
  border: 0;
}
.btn-toggle:hover,
.btn-toggle:focus {
  color: rgba(0, 0, 0, .85);
  background-color: #d2f4ea;
}

.btn-toggle::before {
  width: 1.25em;
  line-height: 0;
  content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
  transition: transform .35s ease;
  transform-origin: .5em 50%;
}

.btn-toggle[aria-expanded="true"] {
  color: rgba(0, 0, 0, .85);
}
.btn-toggle[aria-expanded="true"]::before {
  transform: rotate(90deg);
}

.checkbox-label{
  line-height: 29px;
  vertical-align: middle;
} 

.btn-toggle-nav a {
  display: inline-flex;
  padding: .1875rem .5rem;
  margin-top: .125rem;
  margin-left: 1.25rem;
  text-decoration: none;
}
.btn-toggle-nav a:hover,
.btn-toggle-nav a:focus {
  background-color: #d2f4ea;
}

.scrollarea {
  overflow-y: auto;
}

.fw-semibold { font-weight: 600; }
.lh-tight { line-height: 1.25; }

.files-selection {
  list-style-type: none;
  padding-left:0;
}

ul li {
  margin-top: 10px;
}

#upload {
  margin-top: 30px;
}


/*
.sidebar {
  position : absolute;
  color : white;
  width : 400px;
  height: 100%;
  left: 0;
  top: 0;
  bottom: 0;
  padding : 15px;
  overflow-y: auto;
}*/


/*progression design*/
#progressbar.hidden {
  display: none;

}

.progress {
  --progress: 0%;
  
  width: 100%;
  height: 50px;
  border: 1px solid #fff;
  box-shadow: 0 0 10px #aaa;
}

.progress .bar {
  width: var(--progress);
  height: 50px;
  background: linear-gradient(gold, #c85, gold);
  background-repeat: repeat;
  box-shadow: 0 0 10px 0px orange;
  animation: 
    shine 4s ease-in infinite,
    end 1s ease-out 1 7s;
  transition: width 3s ease 3s;
}

@property --progress {
  syntax: "<length>";
  initial-value: 0%;
  inherits: true;
}

@keyframes shine {
  0% { background-position: 0 0; }
  100% { background-position: 0 50px; }
}

@keyframes end {
  0%, 100% { box-shadow: 0 0 10px 0px orange; }
  50% { box-shadow: 0 0 15px 5px orange; }
}


#bottom {
  position:absolute;
  bottom: 0;
  width: 360px;
  display:flex;
  justify-content: center;
  gap : 10px;
}

#bottom input{
  flex-grow: 1;
}
